#
# spec file for package ganglia (Version 1.3.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ganglia
Summary:      Ganglia cluster reporting and monitoring toolkit
Version:      1.3.1
Release:      92
%define version 1.3-1
Source: ganglia-%{version}.tar.bz2
URL: http://www.millennium.berkeley.edu/ganglia/
Copyright: BSD Open License
Group: Applications/Clustering
BuildRoot: %{_tmppath}/ganglia-%{version}
Patch:   ganglia-%{version}.dif
%package dendrite
Summary:      Dendrite daemon that multicasts the state of a cluster node
Group: Applications/Clustering
%package axon
Summary:      Axon daemon that collects dendrite data
Group: Applications/Clustering

%description
Ganglia sorts cluster information and presents to this to the calling program.
Data is retrieved from one or more axon daemons that are running on the
cluster. Axon's are intermediaries in that they collect data from dendrite
daemons, which run on every node in the cluster.
Ganglia is a command-line tool and will show over 20 cluster-state variables.

Authors:
--------
    Matt Massie

SuSE series: beo


%description axon
Axon is an intermediary daemon between dendrite daemons and the ganglia client.
One or more axons are run per cluster (more than one for redundancy, less than
the size of a cluster for scalability).  Axons also serve as VEXEC daemons for
Brent Chun's REXEC cluster execution environment.

Authors:
--------
    Matt Massie

SuSE series: beo


%description dendrite
Dendrite multicasts the state of a cluster node. It should run on each
and every cluster node. This defines membership in a cluster, up/down, and
reports 20+ variables the describe the health of a node.

Authors:
--------
    Matt Massie

SuSE series: beo

%prep 
rm -rf $RPM_BUILD_ROOT
%setup -n ganglia-%{version}
%patch
echo RPM_BUILD_DIR is $RPM_BUILD_DIR
echo RPM_BUILD_ROOT is $RPM_BUILD_ROOT

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 0744  axon $RPM_BUILD_ROOT/usr/sbin
install -m 0744  dendrite $RPM_BUILD_ROOT/usr/sbin
install -m 0755  ganglia $RPM_BUILD_ROOT/usr/sbin
# Initialization initialization 
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 0744 -o root -g root axon.init $RPM_BUILD_ROOT/etc/init.d/axon
install -m 0744 -o root -g root dendrite.init $RPM_BUILD_ROOT/etc/init.d/dendrite
# Cron jobs to automatically restart daemons, in case they tank
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly
install -m 0744 -o root -g root axon.cron $RPM_BUILD_ROOT/etc/cron.hourly
install -m 0744 -o root -g root dendrite.cron $RPM_BUILD_ROOT/etc/cron.hourly
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 rc.axon $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.axon
install -m 644 rc.dendrite $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.dendrite
install -d $RPM_BUILD_ROOT/usr/sbin
ln -sf ../../etc/init.d/dendrite $RPM_BUILD_ROOT/usr/sbin/rcdendrite
ln -sf ../../etc/init.d/axon $RPM_BUILD_ROOT/usr/sbin/rcaxon

%preun axon
sbin/insserv etc/init.d/axon

%post axon
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.axon
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and /var/adm/fillup-templates/rc.config.axon and update by
hand."
fi     
sbin/insserv etc/init.d

%preun dendrite
sbin/insserv etc/init.d/dendrite

%post dendrite
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.dendrite
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and /var/adm/fillup-templates/rc.config.dendrite and update by
hand."
fi     
sbin/insserv etc/init.d

%files
/usr/sbin/ganglia

%files axon
/usr/sbin/axon
/etc/init.d/axon
/etc/cron.hourly/axon.cron
/var/adm/fillup-templates/rc.config.*
/usr/sbin/rcaxon

%files dendrite
/usr/sbin/dendrite
/etc/init.d/dendrite
/etc/cron.hourly/dendrite.cron
/var/adm/fillup-templates/rc.config.*
/usr/sbin/rcdendrite

%changelog -n ganglia
* Sat Mar 24 2001 - nashif@suse.de
- Update to version 1.3.1
* Tue Mar 06 2001 - nashif@suse.de
- Update to version 1.2-3
* Sat Mar 03 2001 - nashif@suse.de
- Update to version 1.2-2
- Fixed problem with glib.h
* Thu Feb 08 2001 - nashif@suse.de
- Initial Release (Version 1.1-2)
